Bug 732316 - Inject images
Summary: Inject images
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: ---
Assignee: Matthew Casperson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 00:35 UTC by Misty Stanley-Jones
Modified: 2014-08-04 22:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-03 21:57:45 UTC


Attachments (Terms of Use)

Description Misty Stanley-Jones 2011-08-22 00:35:31 UTC
I would like the ability to inject images. It would actually inject the enter <mediaobject> tag, with the <textobject><phrase> (the alternate text) being populated by the image description. This injection could be wrapped in a <figure> if we needed to give the image a title / caption. Presumably syntax would be something like:

<!-- InjectImage: 28.svg -->

Or just <!-- InjectImage: 28 --> 


The second way is less prone to error as Skynet would figure out the image type from its own metadata.

Comment 1 Matthew Casperson 2012-12-03 21:57:45 UTC
The Image view now lists the XML that is used to display an image, and the docbook xml is also exposed as a template in the new UI.


Note You need to log in before you can comment on or make changes to this bug.